#pragma once

#include "betalupi_ergodox.h"
#include "version.h"
#include "keymap_russian.h"
#include "keymap_us_international.h"

#include "tapdance/tapdance.h"


extern rgb_config_t rgb_matrix_config;

// LED colors, in HSV.
#define LC_OFF    LC_HSV(  0,   0,  0)
#define LC_GREEN  LC_HSV( 85, 203, 158)
#define LC_YELLOW LC_HSV( 32, 176, 255)
#define LC_PINK   LC_HSV(243, 222, 234)
#define LC_CYAN   LC_HSV(134, 255, 213)
#define LC_ORANGE LC_HSV( 14, 255, 255)
#define LC_WHITE  LC_HSV(  0,   0, 150)

#define LC_RU_B LC_HSV(  0,   0, 165)
#define LC_RU_G LC_HSV(153, 255, 153)
#define LC_RU_K LC_HSV(  0, 255, 145)

// Define custom keys
// (Must be done before keymaps are loaded)
enum custom_keycodes {
	M_SHUTDOWN = BETA_SAFE_RANGE,

	// Macros
	M_RESETWM,
	M_RU_CTRL,
	M_RU_ALT,

	// Special characters.
	// M_SPECIAL_TOP and M_SPECIAL_BOTTOM are
	// bounds used to parse these. Only special
	// characters should be between them.
	//
	// Сharacters here should be in the same
	// order as they are in the host inteface.
	M_SPECIAL_TOP,
	M_SC_GRAVE,
	M_SC_TILD,
	M_SC_QUOT,
	M_SC_LBR,
	M_SC_RBR,
	M_SC_LCBR,
	M_SC_RCBR,
	M_SC_LKVCH,
	M_SC_RKVCH,
	M_SPECIAL_BOTTOM
};
